classification
Title: Python (IDLE?) freezes on file save on Windows
Type: behavior Stage:
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Kamran, abarry, eryksun, matrixise, ned.deily, terry.reedy
Priority: normal Keywords: 3.5regression

Created on 2016-10-23 14:02 by Kamran, last changed 2019-03-21 04:54 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
image.png Kamran, 2016-10-24 15:24
Messages (11)
msg279260 - (view) Author: Kamran (Kamran) Date: 2016-10-23 14:02
Hi,

I am writing to inform you about the Python Program. Whenever I go onto the
program it works but as soon as I save a piece of work it crashes and
freezes. After that it says Python.exe has stopped working. The Windows
that I am using is Windows 7 Proffessional. Is there any way you can fix
this fault??? Please do this as soon as possibe as I need this piece of
work ASAP?!?

MANY THANKS
*Kamran Muhammad*
msg279261 - (view) Author: Anilyka Barry (abarry) * (Python triager) Date: 2016-10-23 14:07
Could provide more information on the issue? Which program exactly is failing? Is it the IDLE editor? If you don't know what you're using, you can provide a screenshot as a last resort (but don't provide one if you can figure out the program that freezes).
msg279264 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2016-10-23 14:59
Sorry Kamran, but you don't produce any information, there is a stacktrace, a backtrace ?

In this case, we can't reproduce your issue and we can't help you.

And, we can't provide a patch because you need it ASAP :/
msg279313 - (view) Author: Kamran (Kamran) Date: 2016-10-24 15:24
Is *THIS* any help?[image: Inline image 1]

*Kamran Muhammad*

On Sun, Oct 23, 2016 at 10:10 PM, SilentGhost <report@bugs.python.org>
wrote:

>
> Changes by SilentGhost <ghost.adh@runbox.com>:
>
>
> ----------
> status: open -> pending
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue28514>
> _______________________________________
>
msg279315 - (view) Author: Kamran (Kamran) Date: 2016-10-24 16:21
it is  idle

*Kamran Muhammad*

On Mon, Oct 24, 2016 at 4:24 PM, Kamran <report@bugs.python.org> wrote:

>
> Kamran added the comment:
>
> Is *THIS* any help?[image: Inline image 1]
>
> *Kamran Muhammad*
>
> On Sun, Oct 23, 2016 at 10:10 PM, SilentGhost <report@bugs.python.org>
> wrote:
>
> >
> > Changes by SilentGhost <ghost.adh@runbox.com>:
> >
> >
> > ----------
> > status: open -> pending
> >
> > _______________________________________
> > Python tracker <report@bugs.python.org>
> > <http://bugs.python.org/issue28514>
> > _______________________________________
> >
>
> ----------
> status: pending -> open
> Added file: http://bugs.python.org/file45205/image.png
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue28514>
> _______________________________________
>
msg279316 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2016-10-24 16:26
We can't help you, there is no backtrace, no stacktrace, no dump, in fact, nothing. can you provide more details because without that, we can not reproduce your issue.
msg279321 - (view) Author: Kamran (Kamran) Date: 2016-10-24 17:30
what do u mean

*Kamran Muhammad*

On Mon, Oct 24, 2016 at 5:26 PM, Stéphane Wirtel <report@bugs.python.org>
wrote:

>
> Stéphane Wirtel added the comment:
>
> We can't help you, there is no backtrace, no stacktrace, no dump, in fact,
> nothing. can you provide more details because without that, we can not
> reproduce your issue.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue28514>
> _______________________________________
>
msg279328 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-10-24 18:51
Kamran, the image you supplied shows that you are trying to use IDLE from Python 3.2.3.  3.2.3 is very old and no longer supported.  Also, Windows 7 is very old. The last binary release of Python 3.2.x was 3.2.5 so you could try installing that version.  Or, better, try a newer, supported version of Python 3.  Otherwise, you should seek help elsewhere as this tracker is for specific problems with supported versions of Python.  See the Python.org Help page for suggestions.  Good luck!

https://www.python.org/about/help/
msg279330 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2016-10-24 19:05
> Windows 7 is very old.

3.8 will probably be the last Python version to support Windows 7 (2020-01 EOL). 3.6 is the last to support Vista.
msg279430 - (view) Author: Kamran (Kamran) Date: 2016-10-25 17:55
To Ned Deily
I am using Python 3.2.3 because I use it at schoolo and my teacher said use
this. Also because I do not know how to use any other model other than this
because I was taught this at school. ANY SUGGESTIONS????

THANKS

*Kamran Muhammad*

On Mon, Oct 24, 2016 at 8:05 PM, Eryk Sun <report@bugs.python.org> wrote:

>
> Eryk Sun added the comment:
>
> > Windows 7 is very old.
>
> 3.8 will probably be the last Python version to support Windows 7 (2020-01
> EOL). 3.6 is the last to support Vista.
>
> ----------
> nosy: +eryksun
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue28514>
> _______________________________________
>
msg279448 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-10-25 19:10
You need more assistance than we can give here on the issue tracker.  Please look at the help resources here: https://www.python.org/about/help/.  In particular, you could try asking on the tutor mailing list: https://mail.python.org/mailman/listinfo/tutor.  Good luck!
History
Date User Action Args
2019-03-21 04:54:13terry.reedysetassignee: terry.reedy

components: + IDLE
nosy: + terry.reedy
2016-10-25 19:10:28ned.deilysetmessages: + msg279448
2016-10-25 17:55:11Kamransetmessages: + msg279430
2016-10-24 19:05:24eryksunsetnosy: + eryksun
messages: + msg279330
2016-10-24 18:51:21ned.deilysetstatus: open -> closed


keywords: + 3.5regression
nosy: + ned.deily
messages: + msg279328
resolution: out of date
stage: test needed ->
2016-10-24 17:30:48Kamransetmessages: + msg279321
2016-10-24 16:26:28matrixisesetmessages: + msg279316
2016-10-24 16:21:58Kamransetmessages: + msg279315
2016-10-24 15:24:08Kamransetfiles: + image.png
status: pending -> open
messages: + msg279313
2016-10-23 21:10:37SilentGhostsetstatus: open -> pending
2016-10-23 14:59:02matrixisesetnosy: + matrixise
messages: + msg279264
2016-10-23 14:07:45abarrysetversions: + Python 3.6, Python 3.7
type: behavior

nosy: + abarry
title: Crash -> Python (IDLE?) freezes on file save on Windows
messages: + msg279261
stage: test needed
2016-10-23 14:02:50Kamrancreate